Erro depois da instalação do Debian Jessie 8.4 - Corrigindo

Depois de instalar o Debian Jessie tentei instalar alguns programas, mas aparecia o seguinte erro:
E: O driver do método /usr/lib/apt/methods/https não pode ser encontrado.
N: Is the package apt-transport-https installed?
Rodei o comando acima sugerido mas o problema não foi resolvido.
Pesquisei na internet mas não achei satisfatório os resultados de soluções apresentadas, pois não resolveram meu problema.
Decidi então dar uma olhada no sources.list e percebi que faltava varias fontes de repositórios no Debian xfce.
Meu sources.list esta assim:
deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot i386 LIVE/INSTALL Binary 20160402-22:55]$
deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main 
Atualizei o sources.list como abaixo:
deb http://ftp.br.debian.org/debian jessie main
deb-src http://ftp.br.debian.org/debian jessie main
deb http://ftp.br.debian.org/debian jessie-updates main
deb-src http://ftp.br.debian.org/debian jessie-updates main

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot i386 LIVE/INSTALL Binary 20160402-22:5$
deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot i386 LIVE/INSTALL Binary 20160402-22:55]$
deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main
#Ultimas atualizações de segurança
#deb https://dl.winehq.org/wine-builds/debian/ jessie main
#deb http://security.debian.org/ jessie/updates main contrib non-free

Finalmente o problema foi resolvido.
Se ajudar alguém ta aí!!!